tf_mod_aws_remotestate
==

A Terraform module for creating an initial S3 bucket for remote state storage
and a DynamoDB table for remote state locking.

Optional cross_account_replication_enabled var for cross account bucket replication

```
module "remote_state" {
  source = "git::https://git.steamhaus.co.uk/steamhaus/tf_mod_aws_remotestate"

  name                               = "my-awesome-remote-state"
  replication_destination_bucket_arn = "arn:aws:s3:::somebucket"
  replication_destination_account_id = "someaccountid"
  cross_account_replication_enabled  = "true"
}
```

Notes:
- The name variable names both the S3 bucket and the DynamoDB table and therefore
needs to be globally unique.
- The S3 bucket policy only allows SSE object uploads so ensure Terraform is
configured with the encryption setting on the S3 backend.
- The cross_account_replication_enabled default is false.
